LINEFIND("1")

NAME
linefind - Detect vertical features in images

SYNOPSIS
linefind [options] -o output.pto input.pto

DESCRIPTION
linefind is a detector for vertical features in images. It tries to find vertical lines using the same algorithm as Calibrate_lens_gui and assigns vertical control points to them. The detection runs on the source images, if the input images are rectilinear images. In the other cases (e. g. fisheye images) the input images are reprojected to an equirectangular projection and the detection works on the reprojected images. It uses the roll value, saved in the pto project file, to determine what is "top" and "bottom". So before running linefind check that your roll values are correct (E. g. when using images straight from the camera, use a roll value of 0 for landscape and a value of 90 or 270 for portrait images. If your camera has an orientation sensor, Hugin can detect this information automatically and sets the roll value accordingly when adding such images into Hugin.

OPTIONS

-o|--output output.pto
    Output Hugin PTO file. Default: '<filename>_line.pto'.

-l|--lines num
    The maximum number of lines added per image (default: 5) Attention: Keep in mind that more vertical control points will dominate the optimisation in favour of "normal" control points.

-i|--image num
    Image number(s) to process. Normally linefind tries to find vertical lines in all images of the project file. If you want to limit the detection to some selected images, you can use this parameter. Can be used multiple times.

-h|--help
    shows help

AUTHORS
Thomas Modes, line detection code based on calibrate_lens by Tim Nugent